# Generated by Django 2.1.7 on 2021-05-04 16:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0002_create_operators'),
        ('drives', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='drivedefinitionmodel',
            name='operator_instance',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='driveregistermodel',
            name='operator_instance',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='historicaldrivedefinitionmodel',
            name='operator_instance',
            field=models.ForeignKey(blank=True, db_constraint=False, default=1, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.OperatorModel'),
        ),
        migrations.AddField(
            model_name='historicaldriveregistermodel',
            name='operator_instance',
            field=models.ForeignKey(blank=True, db_constraint=False, default=1, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.OperatorModel'),
        ),
    ]
